/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>XEnumeration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumeration#getLiterals <em>Literals</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumeration()
 * @model
 * @generated
 */
public interface XEnumeration extends Model
{
  /**
   * Returns the value of the '<em><b>Literals</b></em>' containment reference list.
   * The list contents are of type {@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Literals</em>' containment reference list.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumeration_Literals()
   * @model containment="true"
   * @generated
   */
  EList<XEnumLiteral> getLiterals();

} // XEnumeration
